# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc获取自动配货近效期设置,32,32-24,sit,bs
主数据平台:后台运营系统获取自动配货近效期设置接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_32st"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username_102")
password = commonFuc().get_business_data(module, "password_102")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第三步获取自动配货近效期设置
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url24")
request_body = commonFuc().get_business_data(module, "payload24")

"""

 场景: 获取自动配货近效期设置
 用例名称：获取自动配货近效期设置
 输出：{"total":"%s"}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 自动配货近效期设置
result = json.loads(result.content)
result = {"total": len(result["data"])}

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 查询数据库自动配货近效期设置数量
sql = "SELECT count(t.id) FROM `cmdc-product`.ic_line_valid t WHERE companyCode = 00102"
total = (
    mysql_handle.selectSql(host, port, user, pwd, "cmdc-product", sql)[0][0] if mysql_handle.selectSql(host, port, user,
                                                                                                     pwd, "cmdc-product",
                                                                                                     sql) else 0)
# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict24", total)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

